Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.FloatingInfo Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | FloatingInfo ()
| Constructor.
def | FloatingInfo (floating_info)
| Constructor, with another floating infomation object. More...
def | FloatingInfo (window_pos, relative_target, resize_type, has_close, has_title, title, off_screen, rect)
| Constructor, with parameters. More...
def | Set (window_pos, relative_target, resize_type, has_close, has_title, title, off_screen, rect)
| Set values. More...

## Static Public Attributes
| e_OffScreenAllow = _fsdk.FloatingInfo_e_OffScreenAllow
| Off screen action: take no action.
| e_OffScreenCancel = _fsdk.FloatingInfo_e_OffScreenCancel
| Off screen action: cancel playing the media clip.
| e_OffScreenForceOnScreen = _fsdk.FloatingInfo_e_OffScreenForceOnScreen
| Off screen action: move or resize the window so that it is on-screen.
| e_RelativeTargetAppWindow = _fsdk.FloatingInfo_e_RelativeTargetAppWindow
| Relative type: align the floating window relative to the application window.
| e_RelativeTargetDesktop = _fsdk.FloatingInfo_e_RelativeTargetDesktop
| Relative type: align the floating window relative to the full virtual desktop.
| e_RelativeTargetMonitor = _fsdk.FloatingInfo_e_RelativeTargetMonitor
| Relative type: align the floating window relative to the (selected) monitor display screen.
| e_RelativeTargetPageWindow = _fsdk.FloatingInfo_e_RelativeTargetPageWindow
| Relative type: align the floating window relative to the document (page) window.
| e_ResizeTypeKeepRatio = _fsdk.FloatingInfo_e_ResizeTypeKeepRatio
| Resize type: may be resized only if the aspect ratio is preserved.
| e_ResizeTypeNo = _fsdk.FloatingInfo_e_ResizeTypeNo
| Resize type: may not be resized.
| e_ResizeTypeYes = _fsdk.FloatingInfo_e_ResizeTypeYes
| Resize type: may be resized without preserving the aspect ratio.
| e_WindowPositionBottomCenter = _fsdk.FloatingInfo_e_WindowPositionBottomCenter
| Window position: at the bottom center.
| e_WindowPositionBottomLeft = _fsdk.FloatingInfo_e_WindowPositionBottomLeft
| Window position: at the bottom left corner.
| e_WindowPositionBottomRight = _fsdk.FloatingInfo_e_WindowPositionBottomRight
| Window position: at the bottom right corner.
| e_WindowPositionCenter = _fsdk.FloatingInfo_e_WindowPositionCenter
| Window position: at the center.
| e_WindowPositionCenterLeft = _fsdk.FloatingInfo_e_WindowPositionCenterLeft
| Window position: at the center left.
| e_WindowPositionCenterRight = _fsdk.FloatingInfo_e_WindowPositionCenterRight
| Window position: at the center right.
| e_WindowPositionTopCenter = _fsdk.FloatingInfo_e_WindowPositionTopCenter
| Window position: at the top center.
| e_WindowPositionTopLeft = _fsdk.FloatingInfo_e_WindowPositionTopLeft
| Window position: at the top left corner.
| e_WindowPositionTopRight = _fsdk.FloatingInfo_e_WindowPositionTopRight
| Window position: at the top right corner.
| has_close = _fsdk.FloatingInfo_has_close
| true means the floating window should have a close window control button, while false means not.
| has_title = _fsdk.FloatingInfo_has_title
| true means a title should be displayed in the title bar, while false means not.
| off_screen = _fsdk.FloatingInfo_off_screen
| Specify what action should be taken if the floating window is positioned totally or partially offscreen. Please refer to values starting from FoxitPDFSDKPython2.FloatingInfo.e_OffScreenAllow and this should be one of these values.
| rect = _fsdk.FloatingInfo_rect
| A rectangle specifies the location and size of the floating window in device coordinate system.
| relative_target = _fsdk.FloatingInfo_relative_target
| Specify the target to which the floating window is to be aligned. Please refer to values starting from FoxitPDFSDKPython2.FloatingInfo.e_RelativeTargetPageWindow and this should be one of these values.
| resize_type = _fsdk.FloatingInfo_resize_type
| Specify whether the floating window may be resized by the user. Please refer to values starting from FoxitPDFSDKPython2.FloatingInfo.e_ResizeTypeNo and this should be one of these values.
| title = _fsdk.FloatingInfo_title
| This title to be displayed if has_title is true.
| window_pos = _fsdk.FloatingInfo_window_pos
| Specify how the floating window is to be positioned relative to the window specified by the relative_target . Please refer to values starting from FoxitPDFSDKPython2.FloatingInfo.e_WindowPositionTopLeft and this should be one of these values.

## Detailed Description

This class represents floating imformation.

## Constructor & Destructor Documentation

## ◆ FloatingInfo() [1/2]

def FoxitPDFSDKPython2.FloatingInfo.FloatingInfo | ( |  | window_pos,
|  |  | relative_target,
|  |  | resize_type,
|  |  | has_close,
|  |  | has_title,
|  |  | title,
|  |  | off_screen,
|  |  | rect
| ) |  |

Constructor, with parameters.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | true means the floating window should have a close window control button, while false means not.
  [in] | has_title | true means a title should be displayed in the title bar, while false means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

## ◆ FloatingInfo() [2/2]

def FoxitPDFSDKPython2.FloatingInfo.FloatingInfo | ( |  | floating_info | ) |

Constructor, with another floating infomation object.

Parameters

  [in] | floating_info | Another floating infomation object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.FloatingInfo.Set | ( |  | window_pos,
|  |  | relative_target,
|  |  | resize_type,
|  |  | has_close,
|  |  | has_title,
|  |  | title,
|  |  | off_screen,
|  |  | rect
| ) |  |

Set values.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | true means the floating window should have a close window control button, while false means not.
  [in] | has_title | true means a title should be displayed in the title bar, while false means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

Returns
  None.